@media screen and (min-width: 1000px) {
    .building-desc{
        width: 100%;
        padding: 6rem 0 8rem;
    }

    .building-desc .top {
        width: 100%;
        display: flex;
        align-items: center;
    }

    .building-desc .top > .title {
        font-size: 2.86rem;
        color: #333333;
    }

    .building-desc .top > .sale-status,
    .building-desc .top > .house-status {
        margin-left: 2.14rem;
        padding: 0 1.5rem;
        height: 2.7rem;
        font-size: 1.43rem;
        color: #FFFFFF;
        line-height: 2.7rem;
    }

    .building-desc .top > .sale-status {
        background: #EBBA81;
    }

    .building-desc .top > .house-status {
        background: #AC1E0B;
    }

    .building-desc .top > .house-property {
        margin-left: 4.14rem;
        display: flex;
        align-items: center;
        font-size: 1.43rem;
        color: #999999;
    }

    .building-desc .top > .house-property .line {
        width: 0.07rem;
        height: 1rem;
        background: #999999;
        margin: 0 2rem;
    }

    .building-desc .bot {
        margin-top: 3.8rem;
        width: 100%;
        display: flex;
        justify-content: space-between;
    }

    .building-desc .bot .left {
        width: 64.3rem;
    }

    .picture-box{
        width: 100%;
        position: relative;
    }

    .big-slider {
        width: 100%;
        height: 42.86rem;
        overflow: hidden;
    }

    .big-slider div {
        width: 100%;
        height: 100%;
    }

    .big-slider .slick-slide {
        width: 100%;
        height: 100%;
    }

    .big-slider img {
        width: 100%;
        height: 100%;
        object-fit: cover;
    }

    .small-slider {
        margin-top: 1.5rem;
        width: 100%;
        height: 9.8rem;
        display: flex;
    }

    .small-slider .slick-slide {
        width: 15.3rem !important;
        height: 9.8rem;
        overflow: hidden;
        margin: 0 1rem;
    }

    .small-slider .slick-slider .slick-list {
        padding: 0 !important;
    }

    .small-slider .slick-slide img {
        width: 100%;
        height: 100%;
        object-fit: cover;
        cursor: pointer;
        border: 2px solid transparent;
        transition: border 0.3s;
    }

    .slick-track{
        min-width: 64.3rem;
    }

    .slick-prev{
        left: 2.14rem;
    }

    .slick-next {
        right: 2.14rem;
    }

    #pictureBtn {
        position: absolute;
        right: 1rem;
        bottom: 13rem;
        width: 10rem;
        height: 2.93rem;
        background: #FFFFFF;
        font-size: 1.43rem;
        color: #333333;
        border-radius: 1.46rem;
        z-index: 500;
        display: flex;
        align-items: center;
        justify-content: center;
        cursor: pointer;
    }

    #pictureBtn img {
        width: 1.7rem;
        margin-right: 4px;
    }

    .small-slider img.slick-current {
        border: 2px solid #007bff; /* 当前小图边框高亮 */
    }
    .slick-prev, .slick-next {
        z-index: 1; /* 确保箭头在其他元素之上 */
    }

    .building-desc .introduction {
        margin-top: 6.36rem;
    }

    .building-desc .introduction > .title,
    .building-desc .house-group > .title{
        font-size: 2.43rem;
        color: #333333;
    }

    .building-desc .introduction > .info,
    .building-desc .house-group > .info{
        width: 100%;
        margin-top: 2.94rem;
        line-height: 3.42rem;
        max-height: 10.26rem; /* 默认显示的高度 */
        overflow: hidden; /* 隐藏超出部分 */
        transition: max-height 0.3s ease; /* 添加过渡效果 */
    }

    .building-desc .introduction > .info.expanded,
    .building-desc .house-group > .info.expanded {
        max-height: none; /* 点击后不限制高度 */
    }

    .building-desc .introduction > .more,
    .building-desc .house-group > .more{
        font-size: 1.43rem;
        margin-top: 1rem;
        color: #B06A1A;
        cursor: pointer;
    }

    .building-desc .map {
        margin-bottom: 7.86rem;
        width: 100%;
        margin-top: 4.14rem;
        display: flex;
        justify-content: space-between;
    }

    .building-desc .map > div {
        width: 100%;
        height: 50rem;
        overflow: hidden;
        background: #FCF7F3;
    }

    /*.building-desc .map > div#mapLocation {*/
    /*    background: url("/assets/images/house/map.png") no-repeat center center; !* 背景图片，居中显示 *!*/
    /*    background-size: cover; !* 背景图片按比例缩放，保持覆盖整个区域 *!*/
    /*    cursor: pointer;*/
    /*}*/

    /*.building-desc .map > div#mapView {*/
    /*    background: url("/assets/images/house/map2.png");*/
    /*    background-size: cover;*/
    /*    cursor: pointer;*/
    /*}*/

    .building-desc .group-line {
        margin: 4.68rem 0;
        width: 100%;
        height: 0.07rem;
        background: #D2D2D2;
    }

    .building-desc .detail {
        width: 100%;
    }

    .building-desc .detail > .title {
        font-size: 2.43rem;
        color: #333333;
    }

    .building-desc .detail > .info {
        width: 100%;
        display: flex;
        justify-content: space-between;
        flex-wrap: wrap;
    }

    .building-desc .detail > .info li {
        margin-top: 3.56rem;
        width: 31.08rem;
        display: flex;
        flex-wrap: nowrap;
    }

    .building-desc .detail > .info li > span {
        display: inline-block;
        font-size: 1.43rem;
    }

    .building-desc .detail > .info li > span:first-child {
        color: #999999;
        width: 40%;
    }
    .building-desc .detail > .info li > span:last-child {
        color: #333333;
        width: 60%;
    }

    .building-desc .bot .right {
        width: 42.86rem;
    }

    .building-desc .bot .right .price {
        width: 100%;
        display: flex;
        align-items: center;
    }

    .building-desc .bot .right .price > div:first-child {
        font-size: 2.57rem;
        color: #333333;
    }

    .building-desc .bot .right .price > div:last-child {
        margin-left: 4.36rem;
        font-size: 1.43rem;
        color: #999999;
    }

    .building-desc .bot .right .line {
        margin-top: 2.8rem;
        width: 100%;
        height: 0.07rem;
        background: #D2D2D2;
    }

    .building-desc .house-min-detail {
        width: 100%;
    }

    .building-desc .house-min-detail > li {
        margin-top: 2.8rem;
    }

    .building-desc .house-min-detail > li > span:first-child {
        display: inline-block;
        width: 13rem;
        font-size: 1.43rem;
        color: #999999;
    }

    .building-desc .house-min-detail > li > span:last-child {
        font-size: 1.43rem;
        color: #333333;
    }

    .building-desc .house-tag-names {
        display: flex;
        flex-wrap: wrap;
    }

    .building-desc .house-tag-names li {
        width: calc((100% - 3.9rem) / 4);
        height: 3.42rem;
        line-height: 3.42rem;
        text-align: center;
        background: #FCF7F3;
        font-size: 1.29rem;
        color: #AC610B;
        margin-top: 3.5rem;
        margin-right: 1.3rem;
    }

    .building-desc .house-tag-names li:nth-child(4n+1) {
        margin-left: 0;
    }

    .building-desc .house-address {
        margin-top: 3.3rem;
        display: flex;
    }

    .building-desc .house-address > div:first-child {
        font-size: 1.43rem;
        color: #333333;
    }

    .building-desc .house-address > a {
        margin-left: 4.2rem;
        font-size: 1.43rem;
        color: #AC610B;
    }

    .building-desc .house-address > a img {
        width: 1.06rem;
        margin-right: .4rem;
        cursor: pointer;
    }

    .building-desc .broker-info {
        margin-top: 3.86rem;
        width: 42.86rem;
        height: 13.8rem;
        background: #FFFFFF;
        box-shadow: 0 0 1rem 0 rgba(0,0,0,0.1);
        border-radius: .72rem;
        display: flex;
        justify-content: center;
        align-items: center;
    }

    .building-desc .broker-info.fixed {
        position: fixed;
        top: 0;   /* 距离页面底部 20px */
        right: 3.86rem;    /* 距离页面右侧 20px */
        z-index: 400;  /* 确保元素在最上层 */
        transition: all 0.3s ease; /* 加入过渡效果 */
    }

    .building-desc .broker-info .imgCover {
        width: 7rem;
        height: 7rem;
        border-radius: 50%;
        overflow: hidden;
    }

    .building-desc .broker-info .name {
        margin-left: 1.42rem;
        width: 17rem;
        height: 7rem;
        display: flex;
        flex-direction: column;
        justify-content: space-between;
    }

    .building-desc .broker-info .name div:first-child {
        font-size: 1.57rem;
        color: #AC610B;
    }

    .building-desc .broker-info .name div:nth-child(2) {
        margin-top: .4rem;
        font-size: 1.29rem;
        color: #333333;
    }

    .building-desc .broker-info .name div:nth-child(3) {
        margin-top: 1.56rem;
        font-size: 1.29rem;
        color: #999999;
    }

    .building-desc .broker-info .whats-app {
        margin-left: 3rem;
        display: flex;
        flex-direction: column;
        align-items: center;
        justify-content: space-between;
    }

    .building-desc .broker-info .whats-app a {
        width: 11rem;
        height: 2.93rem;
        border-radius: 0.36rem;
        display: flex;
        align-items: center;
        justify-content: center;
    }

    .building-desc .broker-info .whats-app a:first-child {
        font-size: 1.29rem;
        color: #FCF7F3;
        background: #25D366;
    }

    .building-desc .broker-info .whats-app a:last-child {
        margin-top: 1.86rem;
        font-size: 1.29rem;
        color: #AC610B;
        border: 1px solid #AC610B;
    }

    .building-desc .broker-info .whats-app a:first-child img {
        width: 1.28rem;
        height: 1.28rem;
        margin-right: .4rem;
    }

}
@media screen and (min-width: 350px) and (max-width: 999px) {
    .building-desc {
        padding-top: 1rem;
        width: 100%;
    }
    .building-desc .top {
        width: 100%;
        display: flex;
        flex-direction: column;
    }

    .building-desc .top > .title {
        font-size: 1.14rem;
        font-weight: bold;
    }

    .building-desc .top > .sale-status, .building-desc .top > .house-status {
        margin-left: 1rem;
        padding: .2rem .4rem;
        font-size: 12px;
        color: #FFFFFF;
    }

    .building-desc .top > .sale-status {
        width: 4rem;
        background: #EBBA81;
        text-align: center;
    }

    .building-desc .top > .house-status {
        background: #AC1E0B;
        width: 4rem;
        text-align: center;
    }

    .building-desc .top > .house-property {
        margin-top: 1rem;
        display: flex;
        align-items: center;
        justify-content: space-between;
        font-size: 1rem;
        color: #999999;
    }

    .building-desc .top > .house-property > li {
        white-space: nowrap; /* 防止内容换行 */
        font-size: 12px;
    }

    .building-desc .top > .house-property .line {
        width: 0.07rem;
        height: 1rem;
        background: #999999;
    }

    .building-desc .bot {
        margin-top: 1rem;
        display: flex;
        flex-direction: column-reverse;
        width: 100%;
    }

    .building-desc .bot .left {
        width: 100%;
    }

    .building-desc .bot .left .picture-box {
        width: 100%;
        position: relative;
    }

    #pictureBtn {
        position: absolute;
        right: 1rem;
        bottom: 1rem;
        width: 8rem;
        height: 2rem;
        background: #FFFFFF;
        font-size: 1rem;
        color: #333333;
        border-radius: 1.46rem;
        z-index: 500;
        display: flex;
        align-items: center;
        justify-content: center;
        cursor: pointer;
    }

    #pictureBtn img {
        width: 1rem;
        height: 1rem;
        margin-right: 4px;
    }

    .big-slider {
        width: 100%;
        height: 20rem;
        overflow: hidden;
    }

    .building-desc .bot .left .picture-box .slick-slide img {
        width: auto;
        height: 20rem;
    }

    .small-slider {
        display: none;
    }

    .slick-prev, .slick-next {
        z-index: 1;
    }

    .slick-prev {
        left: 2.14rem;
    }

    .slick-next {
        right: 2.14rem;
    }

    .slick-track {
        min-width: 100rem;
    }

    .small-slider .slick-slide {
        width: 8rem !important;
        height: 9.8rem;
        overflow: hidden;
        margin: 0 4px;
    }

    .small-slider .slick-slide img {
        width: 100%;
        height: 100%;
        object-fit: cover;
        cursor: pointer;
        border: 2px solid transparent;
        transition: border 0.3s;
    }

    .slick-slider .slick-list {
        padding: 0 !important;
    }
    .building-desc .introduction {
        margin-top: 1rem;
    }

    .building-desc .introduction > .title, .building-desc .house-group > .title {
        font-size: 1rem;
        font-weight: bold;
        color: #333333;
    }

    .building-desc .introduction > .info, .building-desc .house-group > .info {
        width: 100%;
        margin-top: 1rem;
        line-height: 2rem;
    }

    .building-desc .introduction > .more, .building-desc .house-group > .more {
        display: none;
    }

    .building-desc .map {
        padding: 1rem 0;
        width: 100%;
        display: flex;
        justify-content: space-between;
    }

    .building-desc .map > div {
        width: 100%;
        height: 20rem;
        overflow: hidden;
        background: #FCF7F3;
    }

    /*.building-desc .map > div#mapLocation {*/
    /*    background: url("/assets/images/house/map.png") no-repeat center center; !* 背景图片，居中显示 *!*/
    /*    background-size: cover; !* 背景图片按比例缩放，保持覆盖整个区域 *!*/
    /*}*/

    /*.building-desc .map > div#mapView {*/
    /*    background: url("/assets/images/house/map2.png");*/
    /*    background-size: cover;*/
    /*}*/

    .building-desc .group-line {
        margin: 1rem 0;
        width: 100%;
        height: 0.07rem;
        background: #D2D2D2;
    }

    .building-desc .detail {
        width: 100%;
    }

    .building-desc .detail > .title {
        font-size: 1rem;
        font-weight: bold;
        color: #333333;
    }

    .building-desc .detail > .info {
        width: 100%;
    }

    .building-desc .detail > .info li {
        width: 100%;
        padding: 0 1rem;
        line-height: 44px;
        display: flex;
        align-items: center;
        justify-content: space-between;
    }

    .building-desc .detail > .info li:nth-child(even) {
        background-color: #f0f0f0; /* 偶数LI的背景色 */
    }

    .building-desc .detail > .info li > span {
        font-size: 12px;
    }

    .building-desc .detail > .info li > span:last-child {
        color: #333333;
    }

    .building-desc .bot .right {
        padding: 1rem 0;
        width: 100%;
    }

    .building-desc .bot .right .price {
        width: 100%;
        display: flex;
        align-items: center;
        justify-content: space-between;
    }

    .building-desc .bot .right .price > div:first-child {
        font-size: 1.14rem;
        font-weight: bold;
        color: #333333;
    }

    .building-desc .bot .right .price > div:last-child {
        font-size: 1rem;
        color: #999999;
    }

    .building-desc .bot .right .line {
        margin-top: 1rem;
        width: 100%;
        height: 0.07rem;
        background: #D2D2D2;
    }

    .building-desc .house-min-detail {
        width: 100%;
    }

    .building-desc .house-min-detail > li {
        width: 100%;
        padding: 1rem;
        display: flex;
        /*align-items: center;*/
        justify-content: space-between;
    }

    .building-desc .house-min-detail > li:last-child {
        border-bottom: 1px solid #D2D2D2;
    }

    .building-desc .house-min-detail > li:nth-child(even) {
        background-color: #f0f0f0; /* 偶数LI的背景色 */
    }

    .building-desc .house-min-detail > li > span:first-child {
        font-size: 12px;
        color: #999999;
        width: 30%;
    }

    .building-desc .house-min-detail > li > span:last-child {
        font-size: 12px;
        color: #333333;
    }

    .building-desc .house-tag-names {
        width: 100%;
        display: flex;
        flex-wrap: wrap;
    }

    .building-desc .house-tag-names li {
        padding: 0 1rem;
        height: 2rem;
        line-height: 2rem;
        background: #FCF7F3;
        font-size: 1rem;
        color: #AC610B;
        margin-top: 1rem;
        margin-right: 1rem;
    }

    .building-desc .house-address {
        margin-top: 1rem;
        display: flex;
        align-items: center;
        justify-content: space-between;
    }

    .building-desc .house-address > a:last-child {
        font-size: 1rem;
        color: #AC610B;
    }

    .building-desc .house-address > a:last-child img {
        width: .8rem;
        margin-right: 4px;
        cursor: pointer;
    }

    .building-desc .broker-info {
        display: none;
    }

}

/* 放大镜效果 */
#zoomContainer {
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background: rgba(0, 0, 0, 0.7);
    display: none;

    z-index: 6000; /* 确保它在最上层 */
}

#zoomContainer .zoomImages-box {
    width: 100%;
    height: 100%;
    display: flex;
    justify-content: center;
    align-items: center;
}

#zoomImage {
    max-width: 90%;
    max-height: 90%;
    cursor: zoom-out;
    transition: transform 0.3s ease; /* 为缩放效果添加平滑过渡 */
}

/* 可选：为了确保图片有平滑缩放效果 */
#zoomImage:hover {
    transform: scale(1.1); /* 鼠标悬停时稍微放大图片 */
}
